//---------------------------------------------------------------------------
#ifndef PPSaverDemo_H
#define PPSaverDemo_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Ppsaver.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TButton *btnMp3a;
        TButton *btnMp3b;
        TButton *btnDVEncoder;
        TButton *btnAVIMux;
        TRadioGroup *rdgUsePPSaver;
        TRadioGroup *rdgSetOfValues;
        TRadioGroup *rdgRegistryRoot;
        TStatusBar *StatusBar1;
        TEdit *edtRegistryStorage;
        TPropertyPageSaver *PropertyPageSaver;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall rdgRegistryRootClick(TObject *Sender);
        void __fastcall edtRegistryStorageChange(TObject *Sender);
        void __fastcall btnDVEncoderClick(TObject *Sender);
        void __fastcall btnAVIMuxClick(TObject *Sender);
        void __fastcall btnMp3aClick(TObject *Sender);
        void __fastcall btnMp3bClick(TObject *Sender);
        void __fastcall rdgUsePPSaverClick(TObject *Sender);
        void __fastcall rdgSetOfValuesClick(TObject *Sender);
        void __fastcall PropertyPageSaverPropertiesRestored(
          TObject *Sender);
        void __fastcall PropertyPageSaverPropertiesSaved(TObject *Sender);
private:	// User declarations
        void __fastcall UseOleCreatePropertyFrame (IUnknown *pUnk);
        void __fastcall UsePropertyPageSaver (IUnknown *pUnk);
        void __fastcall DoPropertyPages (GUID CLSID);

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
